function [m,s] = gripsingle(data,varargin)

R = 1;
l  = length(data);  
if nargin == 2
  dim = varargin{1};
else
  dim = 3;
end

xx = embed(data,dim);
n = fix(size(xx,2)/dim);
z = zeros(n,1);
for i = 1:n
  offs = (i-1)*dim+1;
  r12 = xx(:,offs+1) - xx(:,offs);
  r23 = xx(:,offs+2) - xx(:,offs+1);
  z(i) = dot(r12,r23);
end

m = mean(z);
s = std(z);




